## bear 1.0.0

=== DESCRIPTION ===
Package: bear
Version: 1.0.0 
Date: 2008-07-09 
Title: Bioavability and Bioequivalence data analysis with crossover design (ABE)
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee <pkpd.taiwan@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.5.0), reshape, nlme, sciplot 
Description: A menu-driven package for bioavability andbBioequivalence data analysis including sample size estimation, noncompartment analysis (NCA) and generalized linear model (GLM)
License: GPL version 2 or newer
URL: http://pkpd.kmu.edu.tw/bear
Packaged: Thu Jul 10 17:54:50 2008; user

## bear 1.1.2

=== DESCRIPTION ===
Package: bear
Version: 1.1.2 
Date: 2008-07-25 
Title: Bioequivalence and Bioavability data analysis with crossover design (ABE)
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee <pkpd.taiwan@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.5.0), reshape, nlme, sciplot 
Description: A bioequivalence and bioavability data analysis tool including sample size estimation, noncompartmental analysis (NCA) and generalized linear model (GLM)
License: GPL version 2 or newer
URL: http://pkpd.kmu.edu.tw/bear
Packaged: Sat Jul 26 10:08:32 2008; user

## bear 1.1.3

=== DESCRIPTION ===
Package: bear
Version: 1.1.3 
Date: 2008-07-25 
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee <pkpd.taiwan@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.5.0), reshape, nlme, sciplot 
Description: An average bioequivalence (ABE) and bioavailability data analysis tool including sample size estimation, noncompartmental analysis (NCA) and ANOVA (lm) for a standard RT/TR 2-treatment, 2-sequence, 2-period, and balanced, cross-over design 
License: GPL version 2 or newer
URL: http://pkpd.kmu.edu.tw/bear
Packaged: Mon Aug  4 18:26:20 2008; user

## bear 1.1.4

=== DESCRIPTION ===
Package: bear
Version: 1.1.4 
Date: 2008-09-10 
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee <pkpd.taiwan@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.5.0), reshape, nlme, sciplot 
Description: An average bioequivalence (ABE) and bioavailability data analysis tool including sample size estimation, noncompartmental analysis (NCA) and ANOVA (lm) for a standard RT/TR 2-treatment, 2-sequence, 2-period, and balanced, cross-over design 
License: GPL version 2 or newer
URL: http://pkpd.kmu.edu.tw/bear
Packaged: Thu Sep 11 16:49:10 2008; user

## bear 1.1.5

=== DESCRIPTION ===
Package: bear
Version: 1.1.5 
Date: 2008-09-22 
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee <pkpd.taiwan@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.5.0), reshape, nlme, sciplot 
Description: An average bioequivalence (ABE) and bioavailability data analysis tool including sample size estimation, noncompartmental analysis (NCA) and ANOVA (lm) for a standard RT/TR 2-treatment, 2-sequence, 2-period, and balanced, cross-over design 
License: GPL version 2 or newer
URL: http://pkpd.kmu.edu.tw/bear
Packaged: Thu Oct  2 17:31:06 2008; user

## bear 1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(bear C)
set(BEAR_VERSION "1.4")

set(CPACK_PACKAGE_NAME "bear")
set(CPACK_PACKAGE_CONTACT "László Nagy")
set(CPACK_PACKAGE_VENDOR ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_VERSION ${BEAR_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "BuildEAR")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
set(CPACK_RPM_PACKAGE_RELEASE "1%{?dist}")
set(CPACK_RPM_PACKAGE_LICENSE "GPLv3")
set(CPACK_RPM_PACKAGE_GROUP "Development/Tools")
set(CPACK_RPM_PACKAGE_URL "http://github.com/rizsotto/Bear")
set(CPACK_RPM_PACKAGE_DESCRIPTION "Bear is a tool to generate compilation database for clang tooling.")
include(CPack)

find_package(PkgConfig)
pkg_check_modules(LIBCONFIG REQUIRED libconfig>=1.4)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
find_package(C99 REQUIRED)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${C99_C_FLAGS}")

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

include(GNUInstallDirs)
install(FILES COPYING README.md ChangeLog.md
  DESTINATION ${CMAKE_INSTALL_DOCDIR})

set(EAR_LIB_FILE ${CMAKE_SHARED_LIBRARY_PREFIX}ear${CMAKE_SHARED_LIBRARY_SUFFIX})
set(DEFAULT_PRELOAD_FILE ${CMAKE_INSTALL_FULL_LIBDIR}/${EAR_LIB_FILE})
set(DEFAULT_OUTPUT_FILE compile_commands.json)
set(DEFAULT_CONFIG_FILE ${CMAKE_INSTALL_FULL_SYSCONFDIR}/bear.conf)

add_subdirectory(src)
add_subdirectory(test)
add_subdirectory(doc)

=== src/CMakeLists.txt ===

include(CheckFunctionExists)
check_function_exists(vfork HAVE_VFORK)
check_function_exists(execve HAVE_EXECVE)
check_function_exists(execv HAVE_EXECV)
check_function_exists(execvpe HAVE_EXECVPE)
check_function_exists(execvp HAVE_EXECVP)
check_function_exists(execvP HAVE_EXECVP2)
check_function_exists(execl HAVE_EXECL)
check_function_exists(execlp HAVE_EXECLP)
check_function_exists(execle HAVE_EXECLE)
check_function_exists(posix_spawn HAVE_POSIX_SPAWN)
check_function_exists(posix_spawnp HAVE_POSIX_SPAWNP)
include(CheckSymbolExists)
check_symbol_exists(_NSGetEnviron crt_externs.h NEED_NSGETENVIRON)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})


add_definitions(-D_GNU_SOURCE)


add_library(ear SHARED
    stringarray.c
    protocol.c
    environ.c
    execs.c)
target_link_libraries(ear ${CMAKE_DL_LIBS})
set_target_properties(ear PROPERTIES
    COMPILE_DEFINITIONS "CLIENT")
if(APPLE)
    # Macs have an entirely different linker.
    set_target_properties(ear PROPERTIES
        LINK_FLAGS "-Wl,-exported_symbols_list,${CMAKE_CURRENT_SOURCE_DIR}/AppleExportedSymbolsList")
else()
    set_target_properties(ear PROPERTIES
        LINK_FLAGS "-Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/ExportedSymbolsList")
endif()


link_directories(${LIBCONFIG_LIBRARY_DIRS})
add_executable(bear
    stringarray.c
    protocol.c
    main.c
    output.c
    filter.c
    json.c)
set_target_properties(bear PROPERTIES
    COMPILE_DEFINITIONS "SERVER")
include_directories(${LIBCONFIG_INCLUDE_DIRS})
target_link_libraries(bear ${LIBCONFIG_LIBRARIES})


include(GNUInstallDirs)
install(TARGETS bear ear
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES bear.conf
    DESTINATION ${CMAKE_INSTALL_SYSCONFDIR})

=== test/CMakeLists.txt ===
enable_testing()
set(CMAKE_CTEST_COMMAND ctest -V)
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

add_subdirectory(unit_test)
add_subdirectory(end-to-end)
add_subdirectory(exec_anatomy)
add_subdirectory(result_code)
add_subdirectory(config_failures)

=== test/config_failures/CMakeLists.txt ===
find_package(PythonInterp)

set(BEAR_EXE ${CMAKE_CURRENT_BINARY_DIR}/../../src/bear)

if(PYTHONINTERP_FOUND)
  add_custom_target(run_config_failure_test
    COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/run.py --sut ${BEAR_EXE} --test-cases ${CMAKE_CURRENT_SOURCE_DIR}/tests
    COMMENT "Running config failure tests")

  add_dependencies(run_config_failure_test ear)
  add_dependencies(run_config_failure_test bear)

  add_test(NAME run_config_failure_test
    COMMAND make run_config_failure_test)
endif()

=== test/end-to-end/CMakeLists.txt ===
message(STATUS "Looking for scons")
find_program(SCONS_EXECUTABLE
  NAMES scons
  PATHS ENV SCONS_PATH)
if (SCONS_EXECUTABLE)
  set(SCONS_FOUND 1)
  message(STATUS "Looking for scons -- found")
endif()

message(STATUS "Looking for qmake")
find_program(QMAKE_EXECUTABLE
  NAMES qmake qmake-qt4
  PATHS ENV QMAKE_PATH)
if (QMAKE_EXECUTABLE)
  set(QMAKE_FOUND 1)
  message(STATUS "Looking for qmake -- found")
endif()

find_package(PythonInterp)


set(BEAR_EXE ${CMAKE_CURRENT_BINARY_DIR}/../../src/bear)
set(BEAR_LIB ${CMAKE_CURRENT_BINARY_DIR}/../../src/${EAR_LIB_FILE})
set(BEAR_CFG ${CMAKE_CURRENT_SOURCE_DIR}/bear.conf)

if(PYTHONINTERP_FOUND)
  add_custom_target(run_shell_test
    COMMAND ${BEAR_EXE} -c ${BEAR_CFG} -l ${BEAR_LIB} -o shell.json -- ${CMAKE_CURRENT_SOURCE_DIR}/compile.sh ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND test `python ${CMAKE_CURRENT_SOURCE_DIR}/validate_and_count.py < shell.json` -eq 4
    COMMENT "Running module tests with shell")

  add_dependencies(run_shell_test ear)
  add_dependencies(run_shell_test bear)

  add_test(NAME run_shell_test
    COMMAND make run_shell_test)
endif()

if(PYTHONINTERP_FOUND AND SCONS_FOUND)
  add_custom_target(run_scons_test
    COMMAND ${BEAR_EXE} -c ${BEAR_CFG} -l ${BEAR_LIB} -o scons.json -- ${SCONS_EXECUTABLE} -Y ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND ${SCONS_EXECUTABLE} -Y ${CMAKE_CURRENT_SOURCE_DIR} -c
    COMMAND test `python ${CMAKE_CURRENT_SOURCE_DIR}/validate_and_count.py < scons.json` -eq 4
    COMMENT "Running module tests with scons")

  add_dependencies(run_scons_test ear)
  add_dependencies(run_scons_test bear)

  add_test(NAME run_scons_test
    COMMAND make run_scons_test)
endif()

if(PYTHONINTERP_FOUND AND QMAKE_FOUND)
  add_custom_target(run_qmake_test
    COMMAND ${QMAKE_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qmake.pro
    COMMAND ${BEAR_EXE} -c ${BEAR_CFG} -l ${BEAR_LIB} -o qmake.json -- make
    COMMAND make distclean
    COMMAND test `python ${CMAKE_CURRENT_SOURCE_DIR}/validate_and_count.py < qmake.json` -eq 4
    COMMENT "Running module tests with qmake")

  add_dependencies(run_qmake_test ear)
  add_dependencies(run_qmake_test bear)

  add_test(NAME run_qmake_test
    COMMAND make run_qmake_test)
endif()

=== test/end-to-end/SConstruct ===
env = Environment()
env.Append(CPPDEFINES={'RELEASE_BUILD' : 'First release \"quoted\"'})

some_lib = env.SharedLibrary(target="some_lib",
                             source=["lib/foo.cpp", "lib/bar.cc"])
some_app = env.Program(target="some_app",
                       source=["bin/far.cxx", "bin/boo.c++"],
                       CPPPATH=Split('#lib'),
                       LIBPATH=['.'],
                       LIBS=['some_lib'])

=== test/exec_anatomy/CMakeLists.txt ===
add_executable(exec_anatomy EXCLUDE_FROM_ALL main.c)
add_definitions(-D_GNU_SOURCE)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../src)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/run.sh.in
  ${CMAKE_CURRENT_BINARY_DIR}/run.sh
  @ONLY)

add_test(NAME run_exec_anatomy
  COMMAND ./run.sh)

add_dependencies(check exec_anatomy)
add_dependencies(exec_anatomy ear)
add_dependencies(exec_anatomy bear)

=== test/unit_test/CMakeLists.txt ===
link_directories(${LIBCONFIG_LIBRARY_DIRS})
add_executable(unit_test EXCLUDE_FROM_ALL
    main.c
    ../../src/stringarray.c
    ../../src/protocol.c
    ../../src/json.c
    ../../src/environ.c
    )
add_definitions(-D_GNU_SOURCE)
add_definitions(-DCLIENT -DSERVER)
include_directories(../../src ${CMAKE_CURRENT_BINARY_DIR}/../../src)
include_directories(${LIBCONFIG_INCLUDE_DIRS})
target_link_libraries(unit_test ${LIBCONFIG_LIBRARIES})

add_test(unit_test ./unit_test)
add_dependencies(check unit_test)

=== debian/changelog ===
bear (1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop all patches, not needed anymore.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 20 Jan 2014 02:30:59 +0100

bear (1.3-2) unstable; urgency=medium

  * debian/patches/vaarg-handling.patch: Add patch from upstream to fix vaarg
    handling. (Closes: #733768)
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 Jan 2014 15:33:56 +0100

bear (1.3-1) unstable; urgency=low

  * Initial release. (Closes: #732645)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 20 Dec 2013 02:32:45 +0100

=== debian/control ===
Source: bear
Priority: optional
Section: devel
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 cmake,
 libconfig-dev (>= 1.4),
 python,
 scons,
 libqt4-dev
Standards-Version: 3.9.5
Homepage: https://github.com/rizsotto/Bear
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bear.git
Vcs-Git: git://anonscm.debian.org/collab-maint/bear.git

Package: bear
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generate compilation database for Clang tooling
 Bear records the flags passed to the compiler for each translation unit and
 stores them in a JSON file. This file can be used by Clang's tooling interface
 and programs like clang-check to process a translation unit.
 .
 cmake supports the generation of JSON compilation databases out of the box.
 For any other build system that does not support this, Bear can be used
 instead to intercept the invocation of the compiler.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_LIBDIR="lib/${DEB_HOST_MULTIARCH}/bear" \
		-DCMAKE_INSTALL_SYSCONFDIR="/etc"

override_dh_auto_test:
	# The tests fail if /usr/lib/ccache is in PATH so we remove it here. The tests
	# do not fail if CC or CXX are set to use ccache.
	PATH=$(shell echo $$PATH | \
		sed -e 's;:/usr/lib/ccache/\?;;' \
			-e 's;^/usr/lib/ccache/\?;;') \
		dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# Remove unwanted files.
	rm -rf debian/bear/usr/share/doc/bear

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.md

=== debian/watch ===
version=3
https://github.com/rizsotto/Bear/releases \
    .*/(.*)\.tar\.gz

## bear 1.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 
 project(bear C)
-set(BEAR_VERSION "1.4")
+set(BEAR_VERSION "1.4.2")
 
 set(CPACK_PACKAGE_NAME "bear")
 set(CPACK_PACKAGE_CONTACT "László Nagy")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,10 @@
 
 include(CheckFunctionExists)
+include(CheckSymbolExists)
+
+add_definitions(-D_GNU_SOURCE)
+list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)
+
 check_function_exists(vfork HAVE_VFORK)
 check_function_exists(execve HAVE_EXECVE)
 check_function_exists(execv HAVE_EXECV)
@@ -11,13 +16,11 @@
 check_function_exists(execle HAVE_EXECLE)
 check_function_exists(posix_spawn HAVE_POSIX_SPAWN)
 check_function_exists(posix_spawnp HAVE_POSIX_SPAWNP)
-include(CheckSymbolExists)
+check_function_exists(realpath HAVE_REALPATH)
 check_symbol_exists(_NSGetEnviron crt_externs.h NEED_NSGETENVIRON)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
-
-
-add_definitions(-D_GNU_SOURCE)
 
 
 add_library(ear SHARED

=== debian/changelog ===
bear (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 May 2014 21:11:21 +0200

bear (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 May 2014 17:07:56 +0200

## bear 2.0.1

=== DESCRIPTION ===
Package: bear
Version: 2.0.1 
Date: 2008-10-06 
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee <pkpd.taiwan@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.5.0), reshape, nlme, sciplot 
Description: An average bioequivalence (ABE) and bioavailability data analysis tool including sample size estimation, noncompartmental analysis (NCA) and ANOVA (lm) for a standard RT/TR 2-treatment, 2-sequence, 2-period, and balanced, cross-over design 
License: GPL version 2 or newer
URL: http://pkpd.kmu.edu.tw/bear
Packaged: Tue Oct 14 12:32:28 2008; user

## bear 2.0.2

=== DESCRIPTION ===
Package: bear
Version: 2.0.2 
Date: 2008-10-20 
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee <pkpd.taiwan@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.5.0), reshape, nlme, sciplot 
Description: An average bioequivalence (ABE) and bioavailability data analysis tool including sample size estimation, noncompartmental analysis (NCA) and ANOVA (lm) for a standard RT/TR 2-treatment, 2-sequence, 2-period, and cross-over design 
License: GPL version 2 or newer
URL: http://pkpd.kmu.edu.tw/bear
Packaged: Wed Oct 29 18:28:34 2008; user

## bear 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(bear C)
set(BEAR_VERSION "2.1.0")

set(CPACK_PACKAGE_NAME "bear")
set(CPACK_PACKAGE_CONTACT "László Nagy")
set(CPACK_PACKAGE_VENDOR ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_VERSION ${BEAR_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "BuildEAR")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
set(CPACK_RPM_PACKAGE_RELEASE "1%{?dist}")
set(CPACK_RPM_PACKAGE_LICENSE "GPLv3")
set(CPACK_RPM_PACKAGE_GROUP "Development/Tools")
set(CPACK_RPM_PACKAGE_URL "http://github.com/rizsotto/Bear")
set(CPACK_RPM_PACKAGE_DESCRIPTION "Bear is a tool to generate compilation database for clang tooling.")
set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
include(CPack)

include(GNUInstallDirs)
install(FILES COPYING README.md ChangeLog.md
  DESTINATION ${CMAKE_INSTALL_DOCDIR})

include(CheckCCompilerFlag)
check_c_compiler_flag("-std=c99" C99_SUPPORTED)
if (C99_SUPPORTED)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
endif()

add_definitions(-D_GNU_SOURCE)
list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

set(EAR_LIB_FILE ${CMAKE_SHARED_LIBRARY_PREFIX}ear${CMAKE_SHARED_LIBRARY_SUFFIX})
set(DEFAULT_PRELOAD_FILE ${CMAKE_INSTALL_FULL_LIBDIR}/${EAR_LIB_FILE})

add_subdirectory(libear)
add_subdirectory(bear)
add_subdirectory(test)
add_subdirectory(doc)

=== DESCRIPTION ===
Package: bear
Version: 2.1.0 
Date: 2008-12-18 
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee <pkpd.taiwan@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.5.0), reshape, nlme, sciplot, plotrix 
Description: An average bioequivalence (ABE) and bioavailability data analysis tool including sample size estimation, noncompartmental analysis (NCA) and ANOVA (lm) for a standard RT/TR 2-treatment, 2-sequence, 2-period, and cross-over design 
License: GPL version 2 or newer
URL: http://pkpd.kmu.edu.tw/bear
Packaged: Thu Dec 18 17:56:14 2008; user

=== test/CMakeLists.txt ===
enable_testing()
set(CMAKE_CTEST_COMMAND ctest -V)
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

#add_subdirectory(unit_test)
add_subdirectory(end-to-end)
add_subdirectory(exec_anatomy)
add_subdirectory(result_code)
add_subdirectory(bug74)
add_subdirectory(bug80)
add_subdirectory(bug81)
add_subdirectory(bug94)

=== debian/changelog ===
bear (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/remove-rpath.patch: Remove RPATH.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 08 Aug 2015 17:17:40 +0200

bear (2.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 23 Jun 2015 23:26:26 +0200

bear (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Apr 2015 22:17:25 +0200

bear (2.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 Feb 2015 18:35:15 +0100

bear (2.0.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.6.
    - Build-Depends:
      + Add python3 and dh-python for new Python based bear.
      + Remove no longer needed libconfig-dev.
    - bear Depends: Add ${python3:Depends}.
  * debian/rules:
    - Build with dh_python3.
    - Remove no longer used configure options.
  * debian/bear.maintscript: Remove obsolete conffile.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Jan 2015 23:24:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,24 @@
 Build-Depends:
  debhelper (>= 9),
  cmake,
- libconfig-dev (>= 1.4),
  python,
+ python3,
  scons,
- libqt4-dev
-Standards-Version: 3.9.5
+ libqt4-dev,
+ dh-python
+Standards-Version: 3.9.6
 Homepage: https://github.com/rizsotto/Bear
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bear.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/bear.git
 
 Package: bear
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${python3:Depends}
 Description: generate compilation database for Clang tooling
  Bear records the flags passed to the compiler for each translation unit and
  stores them in a JSON file. This file can be used by Clang's tooling interface

## bear 2.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
 cmake_minimum_required(VERSION 2.8)
 
+SET (CMAKE_OSX_ARCHITECTURES "i386;x86_64" CACHE STRING  "Rogue")
+
 project(bear C)
-set(BEAR_VERSION "2.1.0")
+set(BEAR_VERSION "2.1.5")
 
 set(CPACK_PACKAGE_NAME "bear")
 set(CPACK_PACKAGE_CONTACT "László Nagy")

=== bear/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/main.py.in ${CMAKE_CURRENT_BINARY_DIR}/bear)

include(GNUInstallDirs)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/bear
    DESTINATION ${CMAKE_INSTALL_BINDIR})

=== doc/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/bear.1.in ${CMAKE_CURRENT_BINARY_DIR}/bear.1)

include(GNUInstallDirs)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/bear.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== libear/CMakeLists.txt ===
set(CMAKE_MACOSX_RPATH 1)

include(CheckFunctionExists)
include(CheckSymbolExists)
check_function_exists(execve HAVE_EXECVE)
check_function_exists(execv HAVE_EXECV)
check_function_exists(execvpe HAVE_EXECVPE)
check_function_exists(execvp HAVE_EXECVP)
check_function_exists(execvP HAVE_EXECVP2)
check_function_exists(execl HAVE_EXECL)
check_function_exists(execlp HAVE_EXECLP)
check_function_exists(execle HAVE_EXECLE)
check_function_exists(posix_spawn HAVE_POSIX_SPAWN)
check_function_exists(posix_spawnp HAVE_POSIX_SPAWNP)
check_symbol_exists(_NSGetEnviron crt_externs.h HAVE_NSGETENVIRON)

find_package(Threads REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(ear SHARED ear.c)
target_link_libraries(ear ${CMAKE_DL_LIBS})
if(THREADS_HAVE_PTHREAD_ARG)
    set_property(TARGET ear PROPERTY COMPILE_OPTIONS "-pthread")
    set_property(TARGET ear PROPERTY INTERFACE_COMPILE_OPTIONS "-pthread")
endif()
if(CMAKE_THREAD_LIBS_INIT)
    target_link_libraries(ear "${CMAKE_THREAD_LIBS_INIT}")
endif()

set_target_properties(ear PROPERTIES INSTALL_RPATH "@loader_path/${CMAKE_INSTALL_LIBDIR}")

include(GNUInstallDirs)
install(TARGETS ear
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -9,4 +9,5 @@
 add_subdirectory(bug74)
 add_subdirectory(bug80)
 add_subdirectory(bug81)
+add_subdirectory(bug88)
 add_subdirectory(bug94)

=== test/bug74/CMakeLists.txt ===
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/run.sh.in
  ${CMAKE_CURRENT_BINARY_DIR}/run.sh
  @ONLY)

add_test(NAME run_bug74
  COMMAND ./run.sh)

=== test/bug80/CMakeLists.txt ===
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/run.sh.in
  ${CMAKE_CURRENT_BINARY_DIR}/run.sh
  @ONLY)

add_test(NAME run_bug80
  COMMAND ./run.sh)

=== test/bug81/CMakeLists.txt ===
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/run.sh.in
  ${CMAKE_CURRENT_BINARY_DIR}/run.sh
  @ONLY)

add_test(NAME run_bug81
  COMMAND ./run.sh)

=== test/bug88/CMakeLists.txt ===
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/run.sh.in
  ${CMAKE_CURRENT_BINARY_DIR}/run.sh
  @ONLY)

add_test(NAME run_bug88
  COMMAND ./run.sh)

=== test/bug94/CMakeLists.txt ===
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/run.sh.in
  ${CMAKE_CURRENT_BINARY_DIR}/run.sh
  @ONLY)

add_test(NAME run_bug94
  COMMAND ./run.sh)

=== test/end-to-end/CMakeLists.txt ===
message(STATUS "Looking for scons")
find_program(SCONS_EXECUTABLE
  NAMES scons
  PATHS ENV SCONS_PATH)
if (SCONS_EXECUTABLE)
  set(SCONS_FOUND 1)
  message(STATUS "Looking for scons -- found")
endif()

message(STATUS "Looking for qmake")
find_program(QMAKE_EXECUTABLE
  NAMES qmake qmake-qt4
  PATHS ENV QMAKE_PATH)
if (QMAKE_EXECUTABLE)
  set(QMAKE_FOUND 1)
  message(STATUS "Looking for qmake -- found")
endif()

find_package(PythonInterp)


set(BEAR_EXE ${CMAKE_CURRENT_BINARY_DIR}/../../bear/bear)
set(BEAR_LIB ${CMAKE_CURRENT_BINARY_DIR}/../../libear/${EAR_LIB_FILE})

if(PYTHONINTERP_FOUND)
  add_custom_target(run_shell_test
    COMMAND python ${BEAR_EXE} -vvv -l ${BEAR_LIB} -o shell.json ${CMAKE_CURRENT_SOURCE_DIR}/compile.sh ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND test `python ${CMAKE_CURRENT_SOURCE_DIR}/validate_and_count.py < shell.json` -eq 4
    COMMENT "Running module tests with shell")

  add_dependencies(run_shell_test ear)

  add_test(NAME run_shell_test
    COMMAND make run_shell_test)
endif()

if(PYTHONINTERP_FOUND AND PYTHON_VERSION_MAJOR EQUAL 2 AND SCONS_FOUND)
  add_custom_target(run_scons_test
    COMMAND python ${BEAR_EXE} -vvv -l ${BEAR_LIB} -o scons.json ${SCONS_EXECUTABLE} -Y ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND ${SCONS_EXECUTABLE} -Y ${CMAKE_CURRENT_SOURCE_DIR} -c
    COMMAND test `python ${CMAKE_CURRENT_SOURCE_DIR}/validate_and_count.py < scons.json` -eq 4
    COMMENT "Running module tests with scons")

  add_dependencies(run_scons_test ear)

  add_test(NAME run_scons_test
    COMMAND make run_scons_test)
endif()

if(PYTHONINTERP_FOUND AND QMAKE_FOUND)
  add_custom_target(run_qmake_test
    COMMAND ${QMAKE_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qmake.pro
    COMMAND python ${BEAR_EXE} -vvv -l ${BEAR_LIB} -o qmake.json make
    COMMAND make distclean
    COMMAND test `python ${CMAKE_CURRENT_SOURCE_DIR}/validate_and_count.py < qmake.json` -eq 4
    COMMENT "Running module tests with qmake")

  add_dependencies(run_qmake_test ear)

  add_test(NAME run_qmake_test
    COMMAND make run_qmake_test)
endif()

=== test/exec_anatomy/CMakeLists.txt ===
add_executable(exec_anatomy EXCLUDE_FROM_ALL main.c)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../libear)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/run.sh.in
  ${CMAKE_CURRENT_BINARY_DIR}/run.sh
  @ONLY)

add_test(NAME run_exec_anatomy
  COMMAND ./run.sh)

add_dependencies(check exec_anatomy)
add_dependencies(exec_anatomy ear)

=== debian/changelog ===
bear (2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.7.
    - Update Vcs-*.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 17 Feb 2016 20:17:47 +0100

bear (2.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 Jan 2016 13:24:03 +0100

bear (2.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 08 Oct 2015 20:21:10 +0200

bear (2.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 08 Sep 2015 10:42:39 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  scons,
  libqt4-dev,
  dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/rizsotto/Bear
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bear.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/bear.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bear.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/bear.git
 
 Package: bear
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,11 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DCMAKE_INSTALL_LIBDIR="lib/${DEB_HOST_MULTIARCH}/bear" \
-		-DCMAKE_INSTALL_SYSCONFDIR="/etc"
+		-DCMAKE_INSTALL_LIBDIR="lib/${DEB_HOST_MULTIARCH}/bear"
 
 override_dh_auto_test:
 	# The tests fail if /usr/lib/ccache is in PATH so we remove it here. The tests

## bear 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 SET (CMAKE_OSX_ARCHITECTURES "i386;x86_64" CACHE STRING  "Rogue")
 
 project(bear C)
-set(BEAR_VERSION "2.1.5")
+set(BEAR_VERSION "2.2.0")
 
 set(CPACK_PACKAGE_NAME "bear")
 set(CPACK_PACKAGE_CONTACT "László Nagy")

=== DESCRIPTION ===
Package: bear
Version: 2.2.0 
Date: 2009-02-14 
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee <mobilePK@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.5.0), reshape, nlme, sciplot, plotrix, ICSNP 
Description: An average bioequivalence (ABE) and bioavailability data analysis tool including sample size estimation, 
             noncompartmental analysis (NCA), ANOVA (lm) for a standard RT/TR 2x2x2 crossover design and linear mixed
             effect model (lme of nlme) for a 2-treatment, 2-sequence, more than 2 periods (i.e. 2x2x3/2x2x4) replicate
             design.
License: GPL version 2 or newer
URL: http://pkpd.kmu.edu.tw/bear
Packaged: Thu Feb 12 21:00:39 2009; user

=== debian/changelog ===
bear (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Jun 2016 12:31:43 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  scons,
  libqt4-dev,
  dh-python
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/rizsotto/Bear
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bear.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/bear.git

## bear 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 SET (CMAKE_OSX_ARCHITECTURES "i386;x86_64" CACHE STRING  "Rogue")
 
 project(bear C)
-set(BEAR_VERSION "2.2.0")
+set(BEAR_VERSION "2.2.1")
 
 set(CPACK_PACKAGE_NAME "bear")
 set(CPACK_PACKAGE_CONTACT "László Nagy")

=== libear/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 check_function_exists(execvpe HAVE_EXECVPE)
 check_function_exists(execvp HAVE_EXECVP)
 check_function_exists(execvP HAVE_EXECVP2)
+check_function_exists(exect HAVE_EXECT)
 check_function_exists(execl HAVE_EXECL)
 check_function_exists(execlp HAVE_EXECLP)
 check_function_exists(execle HAVE_EXECLE)

=== debian/changelog ===
bear (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}: Bump debhelper compat to 10.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 19 Oct 2016 19:01:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: devel
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  cmake,
  python,
  python3,
@@ -17,8 +17,6 @@
 
 Package: bear
 Architecture: any
-Pre-Depends:
- ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 %:
 	dh $@ --with python3

## bear 2.3.0

=== DESCRIPTION ===
Package: bear
Version: 2.3.0 
Date: 2009-02-26 
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee <mobilePK@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.5.0), reshape, nlme, sciplot, plotrix, ICSNP 
Description: An average bioequivalence (ABE) and bioavailability data analysis tool including sample size estimation, 
             noncompartmental analysis (NCA), ANOVA (lm) for a standard RT/TR 2x2x2 crossover design and linear mixed
             effect model (lme of nlme) for a 2-treatment, 2-sequence, with 2 periods or more (i.e. 2x2x3/2x2x4) 
             replicate design or 2-treatment, 2-sequence, 1-period parallel ABE study (2x2x1).
License: GPL version 2 or newer
URL: http://pkpd.kmu.edu.tw/bear
Packaged: Mon Mar  9 18:15:03 2009; user

## bear 2.3.1

=== DESCRIPTION ===
Package: bear
Version: 2.3.1
Date: 2009-04-08
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee
        <mobilePK@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.8.0), reshape, nlme, sciplot, plotrix, ICSNP
Description: An average bioequivalence (ABE) and bioavailability data
        analysis tool including sample size estimation,
        noncompartmental analysis (NCA), ANOVA (lm) for a standard
        RT/TR 2x2x2 crossover design and linear mixed effect model (lme
        of nlme) for a 2-treatment, 2-sequence, with 2 periods or more
        (i.e. 2x2x3/2x2x4) replicate design or a 2-treatment,
        2-sequence, and 1-period parallel ABE study (2x2x1).
License: GPL (>= 2)
URL: http://pkpd.kmu.edu.tw/bear
Packaged: Wed Apr 8 16:37:32 2009; user
Repository: CRAN
Date/Publication: 2009-04-14 17:28:51

## bear 2.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET (CMAKE_OSX_ARCHITECTURES "i386;x86_64" CACHE STRING  "Rogue")
-
 project(bear C)
-set(BEAR_VERSION "2.2.1")
+set(BEAR_VERSION "2.3.6")
 
 set(CPACK_PACKAGE_NAME "bear")
 set(CPACK_PACKAGE_CONTACT "László Nagy")
@@ -38,10 +36,13 @@
     set(CMAKE_BUILD_TYPE "Release")
 endif()
 
+set(CMAKE_OSX_ARCHITECTURES "i386;x86_64" CACHE STRING  "Rogue")
+
 set(EAR_LIB_FILE ${CMAKE_SHARED_LIBRARY_PREFIX}ear${CMAKE_SHARED_LIBRARY_SUFFIX})
-set(DEFAULT_PRELOAD_FILE ${CMAKE_INSTALL_FULL_LIBDIR}/${EAR_LIB_FILE})
+set(EAR_LIB_PATH ${CMAKE_INSTALL_LIBDIR})
+set(DEFAULT_PRELOAD_FILE ${CMAKE_INSTALL_PREFIX}/${EAR_LIB_PATH}/${EAR_LIB_FILE} CACHE STRING "Default path to libear.")
 
 add_subdirectory(libear)
 add_subdirectory(bear)
 add_subdirectory(test)
-add_subdirectory(doc)
+add_subdirectory(man)

=== libear/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-set(CMAKE_MACOSX_RPATH 1)
-
 include(CheckFunctionExists)
 include(CheckSymbolExists)
 check_function_exists(execve HAVE_EXECVE)
@@ -30,6 +28,7 @@
     target_link_libraries(ear "${CMAKE_THREAD_LIBS_INIT}")
 endif()
 
+set(CMAKE_MACOSX_RPATH 1)
 set_target_properties(ear PROPERTIES INSTALL_RPATH "@loader_path/${CMAKE_INSTALL_LIBDIR}")
 
 include(GNUInstallDirs)

=== debian/changelog ===
bear (2.3.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 04 Jul 2017 19:47:11 +0200

bear (2.3.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Jun 2017 00:35:35 +0200

bear (2.3.5-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 Jun 2017 21:53:07 +0200

bear (2.3.4-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Refreshed and remove patches included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 25 Apr 2017 20:53:13 +0200

bear (2.3.2-1) experimental; urgency=medium

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/copyright: Update copyright years.

  [ Norbert Lange ]
  * Split library from main python script to allow easier use in multi-arch
    scenarious. (Closes: #856333)
  * Adjust the default libear.so path to use the ${LIB} Variable

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Apr 2017 21:23:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Build-Depends:
  debhelper (>= 10),
  cmake,
- python,
- python3,
+ python:any,
+ python3:any,
  scons,
  libqt4-dev,
  dh-python
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/rizsotto/Bear
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bear.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/bear.git
 
 Package: bear
-Architecture: any
+Architecture: all
 Depends:
- ${shlibs:Depends},
+ libear (>= ${source:Version}), libear (<< ${source:Upstream-Version}.0~),
  ${misc:Depends},
  ${python3:Depends}
 Description: generate compilation database for Clang tooling
@@ -29,3 +29,23 @@
  cmake supports the generation of JSON compilation databases out of the box.
  For any other build system that does not support this, Bear can be used
  instead to intercept the invocation of the compiler.
+
+Package: libear
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
+Breaks: bear (<< 2.3.1-1)
+Replaces: bear (<< 2.3.1-1)
+Description: generate compilation database for Clang tooling (wrapper library)
+ Bear records the flags passed to the compiler for each translation unit and
+ stores them in a JSON file. This file can be used by Clang's tooling interface
+ and programs like clang-check to process a translation unit.
+ .
+ cmake supports the generation of JSON compilation databases out of the box.
+ For any other build system that does not support this, Bear can be used
+ instead to intercept the invocation of the compiler.
+ .
+ This is the required library for wrapping system calls.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_LIBDIR="lib/${DEB_HOST_MULTIARCH}/bear" \
		-DDEFAULT_PRELOAD_FILE="/usr/\$${LIB}/bear/libear.so"

override_dh_auto_test:
	# The tests fail if /usr/lib/ccache is in PATH so we remove it here. The tests
	# do not fail if CC or CXX are set to use ccache.
	PATH=$(shell echo $$PATH | \
		sed -e 's;:/usr/lib/ccache/\?;;' \
			-e 's;^/usr/lib/ccache/\?;;') \
		dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.md

## bear 2.3.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(bear C)
set(BEAR_VERSION "2.3.11")

include(GNUInstallDirs)
install(FILES COPYING README.md ChangeLog.md
  DESTINATION ${CMAKE_INSTALL_DOCDIR})

include(CheckCCompilerFlag)
check_c_compiler_flag("-std=c99" C99_SUPPORTED)
if (C99_SUPPORTED)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
endif()

add_definitions(-D_GNU_SOURCE)
list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

set(CMAKE_OSX_ARCHITECTURES "i386;x86_64" CACHE STRING  "Rogue")

set(EAR_LIB_FILE ${CMAKE_SHARED_LIBRARY_PREFIX}ear${CMAKE_SHARED_LIBRARY_SUFFIX})
set(EAR_LIB_PATH "${CMAKE_INSTALL_LIBDIR}/bear")
set(DEFAULT_PRELOAD_FILE ${CMAKE_INSTALL_PREFIX}/${EAR_LIB_PATH}/${EAR_LIB_FILE} CACHE STRING "Default path to libear.")

add_subdirectory(libear)
add_subdirectory(bear)
add_subdirectory(test)
add_subdirectory(man)

set(CPACK_PACKAGE_NAME "bear")
set(CPACK_PACKAGE_CONTACT "László Nagy")
set(CPACK_PACKAGE_VENDOR ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_VERSION ${BEAR_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "BuildEAR")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
set(CPACK_RPM_PACKAGE_RELEASE "1%{?dist}")
set(CPACK_RPM_PACKAGE_LICENSE "GPLv3")
set(CPACK_RPM_PACKAGE_GROUP "Development/Tools")
set(CPACK_RPM_PACKAGE_URL "http://github.com/rizsotto/Bear")
set(CPACK_RPM_PACKAGE_DESCRIPTION "Bear is a tool to generate compilation database for clang tooling.")
set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION
    "${CMAKE_INSTALL_MANDIR}"
    "${CMAKE_INSTALL_MANDIR}/man1")
set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
include(CPack)

=== libear/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 include(CheckFunctionExists)
 include(CheckSymbolExists)
+include(CheckIncludeFile)
 check_function_exists(execve HAVE_EXECVE)
 check_function_exists(execv HAVE_EXECV)
 check_function_exists(execvpe HAVE_EXECVPE)
@@ -12,6 +13,7 @@
 check_function_exists(posix_spawn HAVE_POSIX_SPAWN)
 check_function_exists(posix_spawnp HAVE_POSIX_SPAWNP)
 check_symbol_exists(_NSGetEnviron crt_externs.h HAVE_NSGETENVIRON)
+check_include_file(xlocale.h HAVE_XLOCALE_HEADER)
 
 find_package(Threads REQUIRED)
 
@@ -28,9 +30,10 @@
     target_link_libraries(ear "${CMAKE_THREAD_LIBS_INIT}")
 endif()
 
-set(CMAKE_MACOSX_RPATH 1)
-set_target_properties(ear PROPERTIES INSTALL_RPATH "@loader_path/${CMAKE_INSTALL_LIBDIR}")
+if(APPLE)
+    set(CMAKE_MACOSX_RPATH 1)
+    set_target_properties(ear PROPERTIES INSTALL_RPATH "@loader_path/${EAR_LIB_PATH}")
+endif()
 
-include(GNUInstallDirs)
 install(TARGETS ear
-    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
+    LIBRARY DESTINATION ${EAR_LIB_PATH})

=== test/CMakeLists.txt ===
enable_testing()
set(CMAKE_CTEST_COMMAND ctest -V)
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

add_dependencies(check ear)


message(STATUS "Looking for lit")
find_program(LIT_EXECUTABLE
  NAMES lit
  PATHS ENV LIT_PATH)
if (LIT_EXECUTABLE)
  set(LIT_FOUND 1)
  message(STATUS "Looking for lit -- found")
endif()

if(LIT_FOUND)
  set(EAR_EXE ${CMAKE_BINARY_DIR}/bear/bear)
  set(EAR_LIB ${CMAKE_BINARY_DIR}/libear/${EAR_LIB_FILE})

  add_test(NAME func_test
    COMMAND lit -DEAR_EXE=${EAR_EXE} -DEAR_LIB=${EAR_LIB} -v ${CMAKE_CURRENT_SOURCE_DIR})
endif()

=== debian/changelog ===
bear (2.3.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Removed no longer needed patches.
  * debian/rules: Adopt to upstream changes.
  * debian/: Bump debhelper compat to 11.
  * debian/control:
    - Bump Standards-Version.
    - Move to salsa.debian.org.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Jan 2018 12:03:46 +0100

bear (2.3.9-1) unstable; urgency=medium

  * New upstream release.
    - Fix locales handling. (Closes: #880039)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 Nov 2017 14:31:30 -0500

bear (2.3.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Oct 2017 22:24:13 +0200

bear (2.3.6-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version.
    - Remove libqt4-dev from Build-Depends to not block Qt4 removal.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 05 Sep 2017 20:44:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Section: devel
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  cmake,
  python:any,
  python3:any,
  scons,
- libqt4-dev,
  dh-python
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/rizsotto/Bear
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bear.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/bear.git
+Vcs-Browser: https://salsa.debian.org/sramacher/bear
+Vcs-Git: https://salsa.debian.org/sramacher/bear.git
 
 Package: bear
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDEFAULT_PRELOAD_FILE="/usr/\$${LIB}/bear/libear.so"

override_dh_auto_test:
	# The tests fail if /usr/lib/ccache is in PATH so we remove it here. The tests
	# do not fail if CC or CXX are set to use ccache.
	PATH=$(shell echo $$PATH | \
		sed -e 's;:/usr/lib/ccache/\?;;' \
			-e 's;^/usr/lib/ccache/\?;;') \
		dh_auto_test

## bear 2.3.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 
 project(bear C)
-set(BEAR_VERSION "2.3.11")
+set(BEAR_VERSION "2.3.12")
 
 include(GNUInstallDirs)
 install(FILES COPYING README.md ChangeLog.md

=== debian/changelog ===
bear (2.3.12-1) unstable; urgency=medium

  * New ustream release.
  * debian/control
    - Bump Standards-Version.
    - Set Rules-Requires-Root: no.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Aug 2018 15:43:29 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
  python3:any,
  scons,
  dh-python
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://github.com/rizsotto/Bear
 Vcs-Browser: https://salsa.debian.org/sramacher/bear
 Vcs-Git: https://salsa.debian.org/sramacher/bear.git
+Rules-Requires-Root: no
 
 Package: bear
 Architecture: all

## bear 2.3.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 
 project(bear C)
-set(BEAR_VERSION "2.3.12")
+set(BEAR_VERSION "2.3.13")
 
 include(GNUInstallDirs)
 install(FILES COPYING README.md ChangeLog.md

=== man/CMakeLists.txt ===
# Markdown file is the source to the man file. Please modify that and generate
# the man file from it with pandoc.
#
#   $ pandoc -s -t man bear.1.md -o bear.1
#
# This is not automated, because pandoc has big dependencies on different OS
# distributions and packaging would require to install those. Which might be
# too much effort to generate a single text file.

include(GNUInstallDirs)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/bear.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== test/functional/cases/end-to-end/Input/SConstruct ===
env = Environment()
env['CXX'] = 'c++'
env['CC'] = 'cc'
env.Append(CPPDEFINES={'RELEASE_BUILD' : 'First release \"quoted\"'})

some_lib = env.SharedLibrary(target="some_lib",
                             source=["lib/foo.cpp", "lib/bar.cc"])
some_app = env.Program(target="some_app",
                       source=["bin/far.cxx", "bin/boo.c++"],
                       CPPPATH=Split('#lib'),
                       LIBPATH=['.'],
                       LIBS=['some_lib'])

=== debian/changelog ===
bear (2.3.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:30:14 +0800

bear (2.3.13-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Sep 2018 23:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3:any,
  scons,
  dh-python
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/rizsotto/Bear
 Vcs-Browser: https://salsa.debian.org/sramacher/bear
 Vcs-Git: https://salsa.debian.org/sramacher/bear.git
